launchSalome.py \
nameserver.py \
server.py \
+ waitNS.sh \
waitNS.py \
waitContainers.py \
shutdownSalome.py
python_version="python%d.%d" % sys.version_info[0:2]
modules_root_dir_list = []
- os.putenv('SALOME_BATCH','0')
- if args["batch"] :
- os.putenv('SALOME_BATCH','1')
- print 'SALOME_BATCH :',os.getenv('SALOME_BATCH')
+ if os.getenv('SALOME_BATCH') == None:
+ os.putenv('SALOME_BATCH','0')
if args["gui"] :
modules_list = modules_list[:] + ["GUI"]
modules_list = modules_list[:] + ["KERNEL"]
--- /dev/null
+#! /bin/sh
+status=1
+while [ $status -ne 0 ]; do
+ ls $HOME/$APPLI/.omniORB_last.cfg >& /dev/null
+ status=$?
+ sleep 1
+ echo -n "#"
+done
+portNumber=`grep InitRef $HOME/$APPLI/.omniORB_last.cfg | grep -v grep | awk 'BEGIN{FS=":"}{print $NF}'`
+status=1
+while [ $status -ne 0 ]; do
+ ps -efw | grep $USER | grep omniNames | grep -v grep | grep $portNumber
+ status=$?
+ sleep 1
+ echo -n "="
+done
+./runSession waitNS.py
\ No newline at end of file
/*!
Shutdown the Container process.
*/
- oneway void Shutdown();
+ void Shutdown();
/*!
Returns the hostname of the container
void Shutdown();
+ long getPID();
+
} ;
/*! \brief Interface of the %containerManager
in ResPolicy policy,
in CompoList componentList );
- oneway void ShutdownWithExit();
-
void ShutdownContainers();
- long getPID();
-
} ;
/*! \brief Interface of the %resourcesManager